PLaSK library

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | Static Public Attributes | List of all members
plask::Primitive< 1 > Struct Reference

Specialization of Primitive, which define types of primitives and constants in space with 1 dimensions. More...

`#include <plask/geometry/primitives.hpp>`

Collaboration diagram for plask::Primitive< 1 >:
[legend]

## Public Types
enum | Direction { DIRECTION = 0 }
typedef double | DVec
| Real (double) vector type in 1d space.

## Static Public Member Functions
static bool | vecFuzzyCompare (DVec a, DVec b)
| Compare if `a` < with reasonable tollerance.

## Static Public Attributes
static const int | dim = 1
| Number of dimensions (1).
static const DVec | ZERO_VEC = 0.0
| Zeroed 1d vector.

## Detailed Description

Specialization of Primitive, which define types of primitives and constants in space with 1 dimensions.

Definition at line 756 of file primitives.hpp.

## Member Typedef Documentation

## ◆ DVec

typedef double plask::Primitive< 1 >::DVec

Real (double) vector type in 1d space.

Definition at line 758 of file primitives.hpp.

## Member Enumeration Documentation

## ◆ Direction

enum plask::Primitive< 1 >::Direction

Enumerator
DIRECTION |

Definition at line 766 of file primitives.hpp.

## Member Function Documentation

## ◆ vecFuzzyCompare()

static bool plask::Primitive< 1 >::vecFuzzyCompare | ( | DVec | a,
|  | DVec | b
| ) |  |
| inline static

Compare if `a` < with reasonable tollerance.

Definition at line 769 of file primitives.hpp.

## Member Data Documentation

## ◆ dim

const int plask::Primitive< 1 >::dim = 1
| static

Number of dimensions (1).

Definition at line 761 of file primitives.hpp.

## ◆ ZERO_VEC

const Primitive< 1 >::DVec plask::Primitive< 1 >::ZERO_VEC = 0.0
| static

Zeroed 1d vector.

Definition at line 764 of file primitives.hpp.

The documentation for this struct was generated from the following files:

- plask/geometry/primitives.hpp
- plask/geometry/primitives.cpp